# Uses of Class
org.eclipse.rap.fileupload.FileUploadEvent

Packages that use FileUploadEvent
Package
Description
org.eclipse.rap.fileupload

## Uses of FileUploadEvent in org.eclipse.rap.fileupload

Methods in org.eclipse.rap.fileupload with parameters of type FileUploadEvent
Modifier and Type
Method
Description
`void`
FileUploadListener.`uploadFailed(FileUploadEvent event)`
Called when a file upload failed.
`void`
FileUploadListener.`uploadFinished(FileUploadEvent event)`
Called when a file upload has finished successfully.
`void`
FileUploadListener.`uploadProgress(FileUploadEvent event)`
Called when new information about an in-progress upload is available.